Bug 12755 - named won't compile with current glibc-2.1.90
named won't compile with current glibc-2.1.90
Product: Red Hat Raw Hide
Classification: Retired
Component: bind (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2000-06-20 05:13 EDT by Michael Tokarev
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-20 05:13:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Tokarev 2000-06-20 05:13:40 EDT
Here is the log:

gcc -D_GNU_SOURCE -O2  -fno-strength-reduce -pipe   -o nslookup main.o 
getinfo.o debug.o send.o skip.o list.o subr.o commands.o \
        ../../lib/libbind.a -lfl
../../lib/libbind.a(herror.o): In function `herror':
herror.o(.text+0x41): undefined reference to `__h_errno'
../../lib/libbind.a(res_data.o): In function `__res_mkquery':
res_data.o(.text+0x209): undefined reference to `__h_errno_set'
../../lib/libbind.a(res_data.o): In function `__res_query':
res_data.o(.text+0x2c4): undefined reference to `__h_errno_set'
../../lib/libbind.a(res_data.o): In function `__res_querydomain':
res_data.o(.text+0x374): undefined reference to `__h_errno_set'
../../lib/libbind.a(res_data.o): In function `__res_search':
res_data.o(.text+0x428): undefined reference to `__h_errno_set'
../../lib/libbind.a(res_data.o): In function `__res_mkupdate':
res_data.o(.text+0x604): undefined reference to `__h_errno_set'
../../lib/libbind.a(res_data.o)(.text+0x6ac): more undefined references to 
`__h_errno_set' follow
collect2: ld returned 1 exit status
make[2]: *** [nslookup] Error 1
make[2]: Leaving directory 
make[1]: *** [nslookup] Error 2
make[1]: Leaving directory `/usr/mjt/rpm/build/bind-8.2.2_P5/src/bin'
make: *** [all] Error 2
make: Leaving directory `/usr/mjt/rpm/build/bind-8.2.2_P5/src'
Bad exit status from /var/tmp/rpm-tmp.46722 (%build)

Note that sometimes bind compiled with glibc-2.1.3 craches on 2.1.90.
For now, I can't figure where and when (things are very unstable).
Maybe I can show more info after some further investigations... :(
Comment 1 Bernhard Rosenkraenzer 2000-06-26 12:06:49 EDT
This was a compiler bug; it's fixed now.

Note You need to log in before you can comment on or make changes to this bug.